YAAW for Android
====

Yet Another Aria2 Web Frontend in pure HTML/CSS/Javascirpt.

Then packed into native mobile OS apps using PhoneGap. Faster and more convenient.

Currently only Android and Windows Phone 7 version available.

~~Android: https://www.box.com/s/h47cqmloqheuk1d5qysq~~

Try new Android version instead if you're running Aria2 1.61 or above.

WP7: https://www.box.com/s/7rp5fkhup4vdeimf6grx

Updated as YAAW pulled:

Be awared! Following version does not support Aria2 1.41, might be OK if you're using 1.61 or above. New version includes new PhoneGap core and respond faster.

Android: https://github.com/jokies/yaaw-android

An already complied .apk file is included so you don't have to complie everything yourself. But I won't share my signing key, thank you for your understanding.

Windows Phone 8 and iOS version will only be available signed with debug keys. If you want them, please contact me directly.

<br />

Usage
-----
1. Run aria2 with RPC enabled
> aria2c --enable-rpc --rpc-listen-all=true --rpc-allow-origin-all -c -D
>
> Warning: This options will not verify the identity of caller. KEEP THE ADDRESS SECRET.

2. Open the program installed on your mobile device.

3. Change "JSON-RPC Path" setting if "Internal server error" occurred.

4. If login enabled, "JSON-RPC Path" must be like:
> http://username:password@yourdomain.com:6800/jsonrpc

5. Enjoy :-)

Tips
----
* This app will force reestablish the connection with the Aria2 daemon every time you press the app main icon. This is to prevent your Aria2 daemon from overloading and **will also take a little while to complete the startup**. If you started the application already, switch back to it using Android application switcher will save you some time.
* All your settings inside this app is temporary. **Settings will be lost after aria2 restarted.**
* Tasks(including which is not finished) will be lost after aria2 restarted. Using `--save-session=SOME/WHERE` and reload with `--continue=true --input-file=SOME/WHERE` to continue.
* Using `$HOME/.aria2/aria2.conf` to save your options.
* For more infomations about aria2, visit [Aria2 Manual](http://aria2.sourceforge.net/manual/en/html/)
* For more infomations about YAAW, visit [YAAW](https://github.com/binux/yaaw)

Todo
----
1. Currently you cannot add downloads using the Android built-in "share to" menu, this is because an intent needs to be created in order to make this possible. I'm trying to contact developer of YAAW to work together upon it.
2. Multi-account support is missing.
3. ~~Local torrent uploading is not supported.~~ Fixed.
4. Opening local torrent file is not supported.

Components
----------
+ [Bootstrap](http://twitter.github.com/bootstrap/)
+ [mustache.js](https://github.com/janl/mustache.js)
+ [jQuery](http://jquery.com/)
+ [jQuery Storage](http://archive.plugins.jquery.com/project/html5Storage)
+ [JSON RPC 2.0 jQuery Plugin](https://github.com/datagraph/jquery-jsonrpc)
+ [PhoneGap](https://github.com/phonegap/phonegap)
+ [PhoneGap Plugins](https://github.com/phonegap/phonegap-plugins)
+ [YAAW](https://github.com/binux/yaaw)

License
-------
yaaw and yaaw-android is licensed under GNU Lesser General Public License.
You may get a copy of the GNU Lesser General Public License from http://www.gnu.org/licenses/lgpl.txt
